
<form name="form" novalidate>


<div id="top_of_dialog">
	<strong>Upload Tabella di Pricing</strong>
</div>

<div style="margin-top: 15px">
	<table class="table table-bordered blockContainer showInlineTable equalSplit">
		<thead>
			<tr>
				<th class="blockHeader" colspan="4">Tabella di Pricing</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.idDsp.$invalid">*</span>DSP
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid" style="max-width: 450px;">
						<select class="span10"
								name="idDsp" required
	 							ng-model="ctrl.idDsp">
	 						<option value="" ></option>
	 						<option value="{{key}}" ng-repeat="(key, value) in ctrl.decode.idDsp" >{{value}}</option>
	 					</select>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.idUtilizationType.$invalid">*</span>Tipo Utilizzazione
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid" style="max-width: 450px;">
	 					<select class="span10"
								name="idUtilizationType" required
	 							ng-model="ctrl.idUtilizationType" >
	 						<option value="" ></option>
	 						<option value="{{key}}" ng-repeat="(key, value) in ctrl.decode.idUtilizationType" >{{value}}</option>
	 					</select>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.validFrom.$invalid">*</span>Data Inizio Validit&agrave;
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid" style="max-width: 450px;">
						<input type="text" class="input-large ngdialog-input ctrl_validFrom"
							style="width: 100px"
							name="validFrom" required
							ng-model="ctrl.validFrom"> 
						<script type="text/javascript">
						    $(".ctrl_validFrom").datepicker({
						    	format: 'yyyy-mm-dd', 
						    	language: 'it',
						    	autoclose: true,
						    	todayHighlight: true
						    });
						</script>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						<span ng-show="form.validTo.$invalid"></span>Data Fine Validit&agrave;
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid" style="max-width: 450px;">
						<input type="text" class="input-large ngdialog-input ctrl_validTo"
							   style="width: 100px"
							   ng-model="ctrl.validTo">
						<script type="text/javascript">
                            $(".ctrl_validTo").datepicker({
                                format: 'yyyy-mm-dd',
                                language: 'it',
                                autoclose: true,
                                todayHighlight: true
                            });
						</script>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.file.$invalid">*</span>File XLS
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid" ngf-drop ng-model="ctrl.file" ngf-max-size="20MB" ngf-allow-dir="false">
							<div class="row-fluid" ng-hide="!ctrl.file" style="margin-bottom: 5px"><strong>{{ctrl.file.name}}</strong>
								{{ctrl.file.$error}} {{ctrl.file.$errorParam}}</div>
							<div class="row-fluid" style="margin-top: 20px; margin-bottom: 20px">Drag &amp; Drop file 
							</div>
							<div ngf-no-file-drop>File Drag/Drop is not supported for this browser</div>
							<button class="ngdialog-input" type="file" ngf-select name="file" required
								ng-model="ctrl.file" ngf-max-size="20MB" ngf-allow-dir="false">...or choose file</button>
					</div>
				</td>
			</tr>
		</tbody>
	</table>
</div>

<div style="margin-top: 15px">
	<table width="100%">
	<tr>
		<td>
			<button type="button" class="btn addButton" ng-click="cancel()">
				<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong>
			</button>
		</td>
		<td align="right">
			<button ng-disabled="form.$invalid" class="btn addButton" ng-click="save()">
				<span class="glyphicon glyphicon-cloud-upload"></span>&nbsp;&nbsp;<strong>Upload</strong>
			</button>
		</td>
	</tr>
	</table>
</div>

</form>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>
